%define base_name	msv
%define version		1.2
%define cvs_version	20030225
%define release		0.%{cvs_version}.3jpp
%define	section		free


Name:		%{base_name}-strict
Summary:	Sun Multi-Schema XML Validator
Url:		http://wwws.sun.com/software/xml/developers/multischema/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD-style
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	%{base_name}.%{cvs_version}.zip
Source1:	%{base_name}-build.xml
Patch0:		%{base_name}-resolver.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRequires:	isorelax
BuildRequires:	relaxngDatatype
BuildRequires:	xsdlib
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
BuildRequires:	xml-commons-resolver
Requires:	isorelax
Requires:	relaxngDatatype
Requires:	xsdlib
Requires:	xerces-j2
Requires:	xml-commons-apis
Requires:	xml-commons-resolver
Obsoletes:	msv
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Sun Multi-Schema XML Validator (MSV) is a Java technology tool to 
validate XML documents against several kinds of XML schemata. It 
supports RELAX NG, RELAX Namespace, RELAX Core, TREX, XML DTDs, and 
a subset of XML Schema Part 1. This latest (version 1.2) release 
includes several bug fixes and adds better conformance to 
RELAX NG/W3C XML standards and JAXP masquerading.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -T -c -n %{base_name}-%{cvs_version}
(cd ..; unzip -q %{SOURCE0} )
cp %{SOURCE1} build.xml
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
cp src/com/sun/msv/driver/textui/Driver.java src/com/sun/msv/driver/textui/Driver.java.sav

%patch0

%build
export CLASSPATH=$(build-classpath \
isorelax \
relaxngDatatype \
xsdlib \
xerces-j2 \
xml-commons-apis \
xml-commons-resolver\
)
ant -Dbuild.sysclasspath=only dist

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{base_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc license.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Thu Sep 09 2004 Ralph Apel <r.apel at r-apel.de> 0:1.2-0.%{cvs_version}.3jpp
- Include *.properties in jar

* Mon Aug 23 2004 Fernando Nasser <fnasser@redhat.com> 0:1.2-0.%{cvs_version}.2jpp
- Rebuild with Ant 1.6.2

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> 0:1.2-0.%{cvs_version}.1jpp
- First build from sources into free section

